@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
	font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

/*html, body {*/
	/*height: 100%;*/
	/*overflow: hidden;
	display: flex;
	flex-direction: column;
}*/

.valid.modified:not([type=checkbox]) {
	outline: 1px solid #26b050;
}

.invalid {
	outline: 1px solid red;
}

.button-link {
	text-decoration: unset;
}

#blazor-error-ui {
	background: lightyellow;
	bottom: 0;
	box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
	display: none;
	left: 0;
	padding: 0.6rem 1.25rem 0.7rem 1.25rem;
	position: fixed;
	width: 100%;
	z-index: 1000;
}

	#blazor-error-ui .dismiss {
		cursor: pointer;
		position: absolute;
		right: 0.75rem;
		top: 0.5rem;
	}

.title {
	display: flex;
	flex-direction: column;
	gap: 0.5rem;
	padding-bottom: 0.625rem;
}

	.title.title-secondary {
		padding-top: 0.313rem;
		padding-bottom: 0;
		color: var(--bs-secondary-color, var(--DS-color-content-neutral-default-rest));
	}

.title-header-text {
	font-size: 1.5rem;
	line-height: 3rem;
	font-weight: 600;
	letter-spacing: 0rem;
	padding: 0.3125rem 0;
}

.title-content-text {
	font-size: 1rem;
	font-weight: 400;
	line-height: 2.5rem;
	letter-spacing: 0rem;
}

.main-content {
	display: flex;
	justify-content: center;
	align-items: center;
	height: 100%;
	width: 100%;
}

.block-content {
	width: 31.25rem;
	height: auto;
	display: flex;
	flex-direction: column;
	gap: 0.625rem;
	max-width: 100%;
}

.icon {
	width: var(--icon-width);
	height: var(--icon-height);
	background-color: currentcolor;
	mask-position: center center;
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat;
	-webkit-mask-image: var(--icon-mask-image);
	mask-image: var(--icon-mask-image);
}

.or {
	display: flex;
	flex-direction: row;
	align-items: center;
	padding: 0.3125rem 0;
}

	.or .or-line {
		border-bottom: 1px solid var(--bs-body-color, var(--DS-color-content-neutral-default-rest));
		width: 100%;
		opacity: 0.2;
	}

	.or .or-text {
		padding: 0 0.625rem 0px 0.625rem;
		font-size: 0.75rem;
		line-height: 1.125rem;
		color: var(--bs-body-color, var(--DS-color-content-neutral-default-rest));
		opacity: 0.7;
	}

.links-area {
	display: flex;
	flex-direction: column;
	gap: 0.625rem;
	padding-top: 0.625rem;
}

.links-container {
	display: flex;
	gap: 0.25rem;
	justify-content: center;
	align-items: center;
}

	.links-container .dot {
		height: 0.3125rem;
		width: 0.3125rem;
		margin: 0 0.1875rem;
		border-radius: 50%;
		background-color: var(--bs-body-color, var(--DS-color-content-neutral-default-rest));
		opacity: 0.7;
	}

.manage-layout {
	display: flex;
	flex-direction: column;
	gap: 0.625rem;
}

.info-message::before {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	opacity: 0.15;
	background: var(--bs-primary, var(--DS-primary-90));
	z-index: -1;
}

.info-message {
	padding: 0.625rem 1rem 0.625rem 1rem;
	position: relative;
	display: flex;
	justify-content: center;
	align-items: center;
}

	.info-message.info-panel {
		margin-bottom: 0.625rem;
	}

.manage-content {
	display: flex;
	flex-direction: column;
	gap: 0.625rem;
}

.large-input {
	height: 4.3125rem;
	font-size: 1.875rem;
}

.title-content-text-secondary {
	font-size: 1.25rem;
	line-height: 1.75rem;
}

.button-group {
	display: flex;
	flex-direction: row;
	gap: 0.625rem;
}

.confirm-button {
	margin-top: 0.3125rem;
}

.display-desktop {
	display: block;
}

.display-mobile {
	display: none !important;
}

.icon-external-provider {
	width: var(--icon-provider-width);
	height: var(--icon-provider-height);
	background-image: var(--icon-provider-background-image);
	background-position: center;
	background-repeat: no-repeat;
}

@media (max-width: 768px) {
	.display-desktop {
		display: none;
	}

	.hide-in-moble {
		display: none;
	}

	.display-mobile {
		display: block !important;
	}
}

@media (min-width: 768px) {
	.hide-in-desktop {
		display: none;
	}
}

.bg-red {
	background-color: #dc3545 !important;
}

.error {
	color: #dc3545;
}

.bg-green {
	background-color: #00b181 !important;
}

.white-bold {
	color: white !important;
	font-weight: bold !important;
}

.deposit-header {
	margin: 10px;
}

.align-end {
	align-content: end;
}

.menu-button-nav .admin-type {
	color: blue;
}

.menu-button-nav:hover .admin-type {
	color: inherit; /* or another color */
}

.fa-icon {
	margin-left: 0.5rem;
}

.card-header {
	margin-bottom: 0px;
	background-color: rgb(240, 243, 245);
	padding: .3rem 1rem;
	border-bottom: 1px solid rgb(200, 206, 211);
}

.card {
	position: relative;
	display: flex;
	flex-direction: column;
	min-width: 0;
	word-wrap: break-word;
	background-color: #fff;
	background-clip: border-box;
	border: 1px solid #c8ced3;
	border-radius: 0.25rem;
}

.dxbl-btn-primary,
.btn-primary {
	--bs-btn-color: aliceblue;
	--bs-btn-bg: #097cba !important;
	--bs-btn-border-color: #097cba !important;
	--dxbl-btn-bg: #097cba !important;
	--dxbl-btn-border-color: #097cba !important;
	--bs-btn-hover-color: #fff;
	--bs-btn-hover-bg: #0b5ed7 !important;
	--dxbl-btn-hover-bg: #0b5ed7 !important;
	--bs-btn-hover-border-color: #0a58ca !important;
	--dxbl-btn-hover-border-color: #0a58ca !important;
	--bs-btn-focus-shadow-rgb: 49, 132, 253;
	--bs-btn-active-color: aliceblue;
	--bs-btn-active-bg: #0a58ca !important;
	--bs-btn-active-border-color: #0a53be !important;
	--bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125) !important;
	--bs-btn-disabled-color: #fff;
	--bs-btn-disabled-bg: #0d6efd !important;
	--bs-btn-disabled-border-color: #0d6efd !important;
}

.dxbl-btn-standalone.dxbl-btn-warning {
	--dxbl-btn-color: rgb(255, 255, 255);
	--dxbl-btn-bg: #e9b20d !important;
	--dxbl-btn-border-color: #e9b20d !important;
	--dxbl-btn-active-bg: #FFA000;
	--dxbl-btn-active-color: rgb(255, 255, 255);
	--dxbl-btn-active-border-color: #FFA000;
	--dxbl-btn-hover-bg: #FFB300;
	--dxbl-btn-hover-color: rgb(255, 255, 255);
	--dxbl-btn-hover-border-color: #FFB300;
	--dxbl-btn-disabled-bg: #FFE082;
	--dxbl-btn-disabled-color: rgb(255, 255, 255);
	--dxbl-btn-disabled-border-color: #FFE082;
	--dxbl-btn-focus-outline-size: 0.125rem;
	--dxbl-btn-focus-outline-offset: 0.063rem;
	--dxbl-btn-focus-box-shadow: 0 0 0 0 rgba(0, 0, 0, 0);
	--dxbl-btn-focus-bg: #FFC107;
	--dxbl-btn-focus-color: rgb(255, 255, 255);
	--dxbl-btn-focus-border-bg: #FFC107;
	--dxbl-btn-focus-outline-color: #6F42C1;
}

.dxbl-modal > .dxbl-modal-root > .dxbl-popup > .dxbl-modal-content > .dxbl-modal-body {
	margin: 0 0 5px 0;
}

.btn-lg:focus, .btn-lg:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
	box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.dxbl-popup {
  --dxbl-popup-margin: .5rem;
}

.single-line {
	display: flex;
	align-items: center; /* vertical centering */
	gap: .5rem; /* optional spacing between items */
}

.single-line-center {
	display: flex;
	align-items: center; /* vertical centering */
	justify-content: center; /* horizontal centering */
	gap: .5rem; /* optional spacing between items */
}

